kgenapidox(1)

NAME
kgenapidox - Generate API documentation in the KDE style

VERSION
5.13.0

USAGE
usage: kgenapidox [-h] [--dependency-diagram-dir DEPENDENCY_DIAGRAM_DIR]
                  [--title TITLE] [--man-pages] [--qhp] [--searchengine]
                  [--api-searchbox] [-o OUTPUT] [--qtdoc-dir QTDOC_DIR]
                  [--qtdoc-link QTDOC_LINK] [--qtdoc-flatten-links]
                  [--kdedoc-dir KDEDOC_DIR] [--kdedoc-link KDEDOC_LINK]
                  [--doxygen DOXYGEN] [--qhelpgenerator QHELPGENERATOR]
                  [--doxdatadir DOXDATADIR] [--keep-temp-dirs]
                  [moduledir] optional arguments:
  -h, --help show this help message and exit sources:
  moduledir Location of the module to build API documentation for;
                        it should contain a README.md file and a src/
                        subdirectory.Defaults to the current folder.
  --dependency-diagram-dir DEPENDENCY_DIAGRAM_DIR
                        Location of framework diagram dirs; a "Dependencies"
                        page will be included in the framework documentation
                        if provided. output options:
  --title TITLE String to use for page titles.
  --man-pages Generate man page documentation.
  --qhp Generate Qt Compressed Help documentation.
  --searchengine Enable Doxygen's search engine feature.
  --api-searchbox Enable the API searchbox (only useful for
                        api.kde.org).
  -o OUTPUT, --output OUTPUT
                        Location where the documentation will be generated.
                        Defaults to apidocs. Qt documentation:
  --qtdoc-dir QTDOC_DIR
                        Location of (local) Qt documentation; this is searched
                        for tag files to create links to Qt classes.
  --qtdoc-link QTDOC_LINK
                        Override Qt documentation location for the links in
                        the html files. May be a path or URL.
  --qtdoc-flatten-links
                        Whether to assume all Qt documentation html files are
                        immediately under QTDOC_LINK (useful if you set
                        QTDOC_LINK to the online Qt documentation). Ignored if
                        QTDOC_LINK is not set. KDE documentation:
  --kdedoc-dir KDEDOC_DIR
                        Location of (local) KDE documentation; this is
                        searched for tag files to create links to KDE classes.
  --kdedoc-link KDEDOC_LINK
                        Override KDE documentation location for the links in
                        the html files. May be a path or URL. paths:
  --doxygen DOXYGEN (Path to) the doxygen executable.
  --qhelpgenerator QHELPGENERATOR
                        (Path to) the qhelpgenerator executable. misc:
  --doxdatadir DOXDATADIR
                        Location of the HTML header files and support
                        graphics.
  --keep-temp-dirs Do not delete temporary dirs, useful for debugging.

AUTHORS
This version of kapidox was written by Aurélien Gâteau agateau@kde.org.

This man-page was created by Scott Kitterman <scott@kitterman.com>.